extends CSGMesh


# Declare member variables here. Examples:
var rotational_point = Vector3(0,0,0)
var axis = Vector3(0,1,0)
var last_angle = 0
# var b = "text"


# Called when the node enters the scene tree for the first time.
func _ready():
	pass # Replace with function body.


# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta):
#	pass
	#last_angle+=delta
	transform = transform.rotated(axis, delta)
